package com.cirs.biz.mapper;

import java.util.List;
import com.cirs.biz.domain.SysTrain;
import com.cirs.biz.domain.TrainReturn;
import com.cirs.biz.domain.VerificationData;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 训练集数据列Mapper接口
 * 
 * @author allen
 * @date 2023-11-28
 */
public interface SysTrainMapper 
{
    /**
     * 查询训练集数据列
     * 
     * @param id 训练集数据列主键
     * @return 训练集数据列
     */
    public SysTrain selectSysTrainById(Long id);

    /**
     * 查询训练集数据列列表
     * 
     * @param sysTrain 训练集数据列
     * @return 训练集数据列集合
     */
    public List<SysTrain> selectSysTrainList(SysTrain sysTrain);

    /**
     * 新增训练集数据列
     * 
     * @param sysTrain 训练集数据列
     * @return 结果
     */
    public int insertSysTrain(SysTrain sysTrain);

    /**
     * 修改训练集数据列
     * 
     * @param sysTrain 训练集数据列
     * @return 结果
     */
    public int updateSysTrain(SysTrain sysTrain);

    /**
     * 删除训练集数据列
     * 
     * @param id 训练集数据列主键
     * @return 结果
     */
    public int deleteSysTrainById(Long id);

    /**
     * 批量删除训练集数据列
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysTrainByIds(Long[] ids);


    public Long getComponentId(@Param("attr") String attr, @Param("attr1") String attr1, @Param("attr2") String attr2);

    public List<SysTrain> getall_data();


    public List<TrainReturn> getComponentids();

    public List<VerificationData> gettraindataset();
}
